Name:          eog
Version:       3.28.4
Release:       2
Summary:       A GNOME Image Viewer
License:       GPLv2+ and GFDL
URL:           https://wiki.gnome.org/Apps/EyeOfGnome
Source0:       http://download.gnome.org/sources/%{name}/3.28/%{name}-%{version}.tar.xz
Requires:      gsettings-desktop-schemas glib2 >= 2.42.0  gtk3 >= 3.22.0
BuildRequires: pkgconfig(exempi-2.0) pkgconfig(gdk-pixbuf-2.0) pkgconfig(glib-2.0) >= 2.42.0 pkgconfig(gnome-desktop-3.0) >= 2.91.2
BuildRequires: pkgconfig(gobject-introspection-1.0) pkgconfig(gsettings-desktop-schemas) pkgconfig(gtk+-3.0) >= 3.22.0 pkgconfig(lcms2)
BuildRequires: pkgconfig(libexif) >= 0.6.14 pkgconfig(libpeas-1.0) >= 0.7.4 pkgconfig(libpeas-gtk-1.0) >= 0.7.4 pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(shared-mime-info) pkgconfig(x11) desktop-file-utils gettext gtk-doc itstool libjpeg-devel meson zlib-devel libappstream-glib

%description
EOG is an application used for viewing and cataloging image files on the
GNOME Desktop.It has basic editing capabilites.

%package devel
Summary: developing plugins for the eog image viewer
Requires: %{name} = %{version}-%{release}

%description devel
Development files for eog.

%package tests
Summary:  Usability test of the eog package
Requires: %{name} = %{version}-%{release}
Requires: dogtail python3-behave

%description tests
The tests package can be used to verify the Usability of the eog package.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dgtk_doc=true -Dinstalled_tests=true
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/eog.desktop

%files -f %{name}.lang
%doc AUTHORS NEWS README COPYING
%{_datadir}/eog
%{_datadir}/applications/eog.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_bindir}/*
%{_libdir}/eog
%{_datadir}/GConf/gsettings/eog.convert
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/metainfo/eog.appdata.xml

%files devel
%{_includedir}/eog-3.0
%{_libdir}/pkgconfig/eog.pc
%{_datadir}/gtk-doc/

%files tests
%dir %{_libexecdir}/eog
%{_libexecdir}/eog/installed-tests/
%{_datadir}/installed-tests/

%changelog
* Fri Nov 22 2019 gulining<gulining1@huawei.com> - 3.28.4-2
- Pakcage init
